Fork me on GitHub
#cursive
<
2016-08-26
>
cfleming00:08:49

@rauh: I think that is probably https://github.com/cursive-ide/cursive/issues/1210 - could you try the workaround there?

cfleming00:08:10

@yiinho: I think yours is probably the same.

cfleming00:08:45

@kenny: Not right now, is this a CLJS thing I should be aware of?

kenny00:08:21

Including jars with a deps.cljs works

cfleming00:08:47

@bfabry: I see a few people reporting that in the tracker, definitely seems related to proxy.

cfleming00:08:46

@curlyfry: No, Cursive does nothing like that. But it doesn’t show you the results of the evaluation - (println (+ 1 1)) should show it though.

cfleming00:08:55

@kenny: Thanks, I’ll check that out.

bfabry00:08:36

cheers @cfleming, I did start trying to make a minimal repro but got bored. it seems to be specifically related to proxying this class I have here, as we have other proxies that don't do it. Also it blows up when opening the java file

cfleming00:08:06

Ok, I’ll try to repro it here, if I can’t I’ll let you know.

bfabry00:08:07

must be a new version thing

cfleming00:08:24

I don’t think that code has changed in a long time, but you never know.

bfabry00:08:28

here's a pretty small class that we're proxying that seems to cause it

cfleming00:08:33

Great, thanks - I’ll try that this afternoon.

cfleming04:08:26

@bfabry: I just tried to reproduce this, but I can’t:

(def x (proxy [CljDoFnWithContext] []
         (cljProcessElement [context window])
         (cljStartBundle [context])
         (getAllowedTimestampSkew [])
         (getInputTypeDescriptor [])
         (getOutputTypeDescriptor [])
         (populateDisplayData [builder])
         (processElement [context window])
         (startBundle [context])))

cfleming04:08:49

I’ll see what I can see from the stacktrace.

cfleming04:08:13

Oh, ok, looks like you’re destructuring directly in one of the parameters, like (populateDisplayData [[a b]]) - I’ll fix that.

cfleming04:08:41

As a workaround, you could accept a single param and then destructure in a let inside that.

madarauchiha14:08:16

Hey guys, I'm having some issues (I'm not sure this is strictly a cursive issue, but I'm hoping you'll help me find out if it is)

madarauchiha14:08:09

I started a brand new leiningen project from intellij

madarauchiha14:08:43

I'm right clicking the project.clj file and choosing "Create REPL for PROJNAME"

madarauchiha14:08:59

It creates the run with Intellij

madarauchiha14:08:22

Then, when I start the repl, nothing from the project file (`core.clj`) is available in the repl

madarauchiha14:08:35

Even directly sending the file or specific forms into the REPL doesn't seem to have an effect.

madarauchiha14:08:18

The funny thing is, I had another project yesterday with a REPL, and I had no issues there. In face, opening that project again and starting its REPL through the same means, works fine.

madarauchiha14:08:53

I get this when I try to access the default foo function that leiningen gives

madarauchiha14:08:03

(foo)
CompilerException java.lang.RuntimeException: Unable to resolve symbol: foo in this context, compiling:(/tmp/form-init3194148113876011604.clj:1:1) 

madarauchiha14:08:22

And here's the code in core.clj

madarauchiha14:08:27

(ns pegthing.core)

(defn foo
  "I don't do a whole lot."
  [x]
  (println x "Hello, World!"))

madarauchiha14:08:44

It's worth noting that I used the terminal lien command to generate the other project. Maybe it has some bearing on the result?

madarauchiha14:08:01

Yeah, when I use lein new app PROJ instead of intellij, the REPL works

madarauchiha14:08:08

What could be the problem?

bfabry16:08:40

@cfleming odd I wouldn't have thought we have anywhere where we could destructure those vals directly, I'll have a dig around. if you've found something that exhibits similar behaviour I'm happy anyway

yiinho17:08:02

@cfleming I've got indent autodetection disabled. still happening

yiinho19:08:34

turned out to be deadlocking with one of the plugins in use internally

spieden21:08:18

anyone know how to disable the eap builds? i unchecked the box and uninstalled but only 1.4.0-eap is available for reinstall